import { TwitterOpenApi } from '@/api';
import { promises as fs } from 'fs';
import * as log4js from 'log4js';

const authToken = '3a1cd28ea325d79e759a40179de7d95ed9fd5121'
const CsrfToken = '0a48386b556fc51313511689923f82f47aca125565c1d7d71ae21fad2492849221a2fa9608f716ba90d2f34818250fd92fcbfa507afe0755e801161b1b679c76dbe44caa025b62e946734ca6d827e1b9'

export const logger = log4js
  .configure({
    appenders: {
      system: {
        type: 'file',
        filename: 'logs/test.log',
        layout: {
          type: 'pattern',
          pattern: '[%d{hh:mm:ss}] [%p] %m',
        },
      },
    },
    categories: {
      default: { appenders: ['system'], level: 'all' },
    },
  })
  .getLogger('Test');

export type Cookie = {
  name: string;
  domain: string;
  value: string;
};

export const getClient = async () => {
  const api = new TwitterOpenApi();
  const client = await api.getClientFromCookies({
    ct0: CsrfToken,
    auth_token: authToken,
  });
  return client;
};
export const getGuestClient = async () => {
  const api = new TwitterOpenApi();
  const client = await api.getGuestClient();
  return client;
};
